Skip to main content
GET
/
org
/
rules
/
{ruleId}
Get an organization rule
curl --request GET \
  --url https://api.onecli.sh/v1/org/rules/{ruleId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "hostPattern": "<string>",
  "pathPattern": "<string>",
  "enabled": true,
  "agentId": "<string>",
  "rateLimit": 123,
  "scope": "<string>",
  "metadata": {},
  "conditions": [
    {
      "target": "<string>",
      "operator": "<string>",
      "value": "<string>",
      "key": "<string>"
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://onecli.sh/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from the dashboard or GET /user/api-key

Path Parameters

ruleId
string
required

Response

Rule details

id
string
name
string
hostPattern
string
pathPattern
string | null
method
enum<string> | null
Available options:
GET,
POST,
PUT,
PATCH,
DELETE,
null
action
enum<string>
Available options:
block,
rate_limit,
manual_approval
enabled
boolean
agentId
string | null
rateLimit
integer | null
rateLimitWindow
enum<string> | null
Available options:
minute,
hour,
day,
null
scope
string
metadata
object
conditions
object[]
createdAt
string<date-time>